How to make this app work ? Getting error while running yarn install command

Gravatar

C:\Users\Vikas\OneDrive - N\Code\sing-app-react-v8.2.3>yarn install yarn install v1.22.10 [1/4] Resolving packages... [2/4] Fetching packages... info [email protected]: The platform "win32" is incompatible with this module. info "[email protected]" is an optional dependency and failed compatibility check. Excluding it from installation. [3/4] Linking dependencies... warning "@amcharts/amcharts4 > [email protected]" has unmet peer dependency "[email protected]^2.1.0". warning "@amcharts/amcharts4 > [email protected]" has unmet peer dependency "[email protected]^13.0.0". warning "@amcharts/amcharts4 > [email protected]" has unmet peer dependency "[email protected]^0.1.27". warning " > [email protected]" has unmet peer dependency "[email protected] - 3". warning " > [email protected]" has unmet peer dependency "[email protected]^1.12.9". warning " > [email protected]" has incorrect peer dependency "[email protected]^6.0.0". warning " > [email protected]" has incorrect peer dependency "[email protected]^4.3.1". warning " > [email protected]" has unmet peer dependency "[email protected]^15.5.7". warning " > [email protected]" has incorrect peer dependency "[email protected]^0.14.0 || ^15.0.0". warning " > [email protected]" has unmet peer dependency "[email protected]^3.4.4". warning " > [email protected]" has unmet peer dependency "[email protected] || 4.x.x". warning " > [email protected]" has incorrect peer dependency "[email protected] || 0.14.x || ^15.0.0-0 || 15.x.x". warning " > [email protected]" has incorrect peer dependency "[email protected] || 0.14.x || ^15.0.0-0 || 15.x.x". warning "react-draft-wysiwyg > [email protected]" has unmet peer dependency "[email protected] || 4.x.x". warning " > [email protected]" has unmet peer dependency "@types/[email protected]^3.0.0". warning " > [email protected]" has unmet peer dependency "@types/[email protected]^2.1.29". warning " > [email protected]" has unmet peer dependency "@types/[email protected]^15.0.0 || ^16.0.0". warning " > [email protected]" has unmet peer dependency "[email protected]^15.0.0". warning "react-joyride > [email protected]" has unmet peer dependency "[email protected]^15.0.0". warning " > [email protected]" has incorrect peer dependency "[email protected]^0.14.0 || ^15.0.0-0". warning "react-shuffle > [email protected]" has incorrect peer dependency "[email protected]^15.4.2". warning " > [email protected]" has unmet peer dependency "[email protected]^7.3.0". warning " > [email protected]" has unmet peer dependency "[email protected]>= 16.8.0". warning " > [email protected]" has unmet peer dependency "@typescript-eslint/[email protected]". warning " > [email protected]" has unmet peer dependency "@typescript-eslint/[email protected]". warning " > [email protected]" has incorrect peer dependency "[email protected]". [4/4] Building fresh packages... [1/2] ⢀ core-js error C:\Users\P5104881\OneDrive - Ness Technologies\Pluggable Code\sing-app-react-v8.2.3\nodemodules\node-sass: Command failed. Exit code: 1 Command: node scripts/build.js Arguments: Directory: C:\Users\P5104881\OneDrive - Ness Technologies\Pluggable Code\sing-app-react-v8.2.3\nodemodules\node-sass Output: Building: C:\Program Files\nodejs\node.exe C:\Users\P5104881\OneDrive - Ness Technologies\Pluggable Code\sing-app-react-v8.2.3\nodemodules\node-gyp\bin\node-gyp.js rebuild --verbose --libsassext= --libsasscflags= --libsassldflags= --libsasslibrary= gyp info it worked if it ends with ok gyp verb cli [ gyp verb cli 'C:\Program Files\nodejs\node.exe', gyp verb cli 'C:\Users\P5104881\OneDrive - Ness Technologies\Pluggable Code\sing-app-react-v8.2.3\nodemodules\node-gyp\bin\node-gyp.js', gyp verb cli 'rebuild', gyp verb cli '--verbose', gyp verb cli '--libsassext=', gyp verb cli '--libsasscflags=', gyp verb cli '--libsassldflags=', gyp verb cli '--libsasslibrary=' gyp verb cli ] gyp info using [email protected] gyp info using [email protected] | win32 | x64 gyp verb command rebuild [] gyp verb command clean [] gyp verb clean removing "build" directory gyp verb command configure [] gyp verb check python checking for Python executable "python2" in the PATH gyp verb which failed Error: not found: python2 gyp verb which failed at getNotFoundError (C:\Users\P5104881\OneDrive - Ness Technologies\Pluggable Code\sing-app-react-v8.2.3\nodemodules\which\which.js:13:12) gyp verb which failed at F (C:\Users\P5104881\OneDrive - Ness Technologies\Pluggable Code\sing-app-react-v8.2.3\nodemodules\which\which.js:68:19) gyp verb which failed at E (C:\Users\P5104881\OneDrive - Ness Technologies\Pluggable Code\sing-app-react-v8.2.3\nodemodules\which\which.js:80:29) gyp verb which failed at C:\Users\P5104881\OneDrive - Ness Technologies\Pluggable Code\sing-app-react-v8.2.3\nodemodules\which\which.js:89:16 gyp verb which failed at C:\Users\P5104881\OneDrive - Ness Technologies\Pluggable Code\sing-app-react-v8.2.3\nodemodules\isexe\index.js:42:5 gyp verb which failed at C:\Users\P5104881\OneDrive - Ness Technologies\Pluggable Code\sing-app-react-v8.2.3\nodemodules\isexe\windows.js:36:5 gyp verb which failed at FSReqCallback.oncomplete (fs.js:183:21) gyp verb which failed python2 Error: not found: python2 gyp verb which failed at getNotFoundError (C:\Users\P5104881\OneDrive - Ness Technologies\Pluggable Code\sing-app-react-v8.2.3\nodemodules\which\which.js:13:12) gyp verb which failed at F (C:\Users\P5104881\OneDrive - Ness Technologies\Pluggable Code\sing-app-react-v8.2.3\nodemodules\which\which.js:68:19) gyp verb which failed at E (C:\Users\P5104881\OneDrive - Ness Technologies\Pluggable Code\sing-app-react-v8.2.3\nodemodules\which\which.js:80:29) gyp verb which failed at C:\Users\P5104881\OneDrive - Ness Technologies\Pluggable Code\sing-app-react-v8.2.3\nodemodules\which\which.js:89:16 gyp verb which failed at C:\Users\P5104881\OneDrive - Ness Technologies\Pluggable Code\sing-app-react-v8.2.3\nodemodules\isexe\index.js:42:5 gyp verb which failed at C:\Users\P5104881\OneDrive - Ness Technologies\Pluggable Code\sing-app-react-v8.2.3\nodemodules\isexe\windows.js:36:5 gyp verb which failed at FSReqCallback.oncomplete (fs.js:183:21) { gyp verb which failed code: 'ENOENT' gyp verb which failed } gyp verb check python checking for Python executable "python" in the PATH gyp verb which failed Error: not found: python gyp verb which failed at getNotFoundError (C:\Users\P5104881\OneDrive - Ness Technologies\Pluggable Code\sing-app-react-v8.2.3\nodemodules\which\which.js:13:12) gyp verb which failed at F (C:\Users\P5104881\OneDrive - Ness Technologies\Pluggable Code\sing-app-react-v8.2.3\nodemodules\which\which.js:68:19) gyp verb which failed at E (C:\Users\P5104881\OneDrive - Ness Technologies\Pluggable Code\sing-app-react-v8.2.3\nodemodules\which\which.js:80:29) gyp verb which failed at C:\Users\P5104881\OneDrive - Ness Technologies\Pluggable Code\sing-app-react-v8.2.3\nodemodules\which\which.js:89:16 gyp verb which failed at C:\Users\P5104881\OneDrive - Ness Technologies\Pluggable Code\sing-app-react-v8.2.3\nodemodules\isexe\index.js:42:5 gyp verb which failed at C:\Users\P5104881\OneDrive - Ness Technologies\Pluggable Code\sing-app-react-v8.2.3\nodemodules\isexe\windows.js:36:5 gyp verb which failed at FSReqCallback.oncomplete (fs.js:183:21) gyp verb which failed python Error: not found: python gyp verb which failed at getNotFoundError (C:\Users\P5104881\OneDrive - Ness Technologies\Pluggable Code\sing-app-react-v8.2.3\nodemodules\which\which.js:13:12) gyp verb which failed at F (C:\Users\P5104881\OneDrive - Ness Technologies\Pluggable Code\sing-app-react-v8.2.3\nodemodules\which\which.js:68:19) gyp verb which failed at E (C:\Users\P5104881\OneDrive - Ness Technologies\Pluggable Code\sing-app-react-v8.2.3\nodemodules\which\which.js:80:29) gyp verb which failed at C:\Users\P5104881\OneDrive - Ness Technologies\Pluggable Code\sing-app-react-v8.2.3\nodemodules\which\which.js:89:16 gyp verb which failed at C:\Users\P5104881\OneDrive - Ness Technologies\Pluggable Code\sing-app-react-v8.2.3\nodemodules\isexe\index.js:42:5 gyp verb which failed at C:\Users\P5104881\OneDrive - Ness Technologies\Pluggable Code\sing-app-react-v8.2.3\nodemodules\isexe\windows.js:36:5 gyp verb which failed at FSReqCallback.oncomplete (fs.js:183:21) { gyp verb which failed code: 'ENOENT' gyp verb which failed } gyp verb could not find "python". checking python launcher gyp verb could not find "python". guessing location gyp verb ensuring that file exists: C:\Python27\python.exe gyp ERR! configure error gyp ERR! stack Error: Can't find Python executable "python", you can set the PYTHON env variable. gyp ERR! stack at PythonFinder.failNoPython (C:\Users\P5104881\OneDrive - Ness Technologies\Pluggable Code\sing-app-react-v8.2.3\nodemodules\node-gyp\lib\configure.js:484:19) gyp ERR! stack at PythonFinder. (C:\Users\P5104881\OneDrive - Ness Technologies\Pluggable Code\sing-app-react-v8.2.3\nodemodules\node-gyp\lib\configure.js:509:16) gyp ERR! stack at callback (C:\Users\P5104881\OneDrive - Ness Technologies\Pluggable Code\sing-app-react-v8.2.3\nodemodules\graceful-fs\polyfills.js:295:20) gyp ERR! stack at FSReqCallback.oncomplete (fs.js:183:21) gyp ERR! System WindowsNT 10.0.19042 gyp ERR! command "C:\Program Files\nodejs\node.exe" "C:\Users\P5104881\OneDrive - Ness Technologies\Pluggable Code\sing-app-react-v8.2.3\nodemodules\node-gyp\bin\node-gyp.js" "rebuild" "--verbose" "--libsassext=" "--libsasscflags=" "--libsassldflags=" "--libsasslibrary=" gyp ERR! cwd C:\Users\P5104881\OneDrive - Ness Technologies\Pluggable Code\sing-app-react-v8.2.3\nodemodules\node-sass gyp ERR! node -v v14.15.4 gyp ERR! node-gyp -v v3.8.0 gyp ERR! not ok Build failed with error code: 1

Cookie Consent

By continuing to browse or by clicking 'OK', you agree to the storing of cookies on your device to enhance your site experience and for analytical purposes. To learn more about how we use cookies, please see our cookies policy.